Bug 183503 - emacs-common package contains superfluous patched .el files
emacs-common package contains superfluous patched .el files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-01 11:06 EST by Ian Collier
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 21.4-14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-27 22:59:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Collier 2006-03-01 11:06:07 EST
Description of problem:
Some backed-up files from the patch phase of the build process are preserved
in the compiled emacs-common package.

Version-Release number of selected component (if applicable):
emacs-common-21.4-5

Steps to Reproduce:
rpm -ql emacs-common | fgrep .el.
  
Actual results:
/usr/share/emacs/21.4/lisp/cus-dep.el.24-x-nox
/usr/share/emacs/21.4/lisp/gnus/gnus-art.el.24-x-nox
/usr/share/emacs/21.4/lisp/help.el.24-x-nox
/usr/share/emacs/21.4/lisp/scroll-bar.el.24-x-nox

Expected results:
Nothing - these files are left over from the patching process and shouldn't be
preserved in the final product.

Additional info:
The extraneous files result from patch 24 in the spec file.
Comment 1 Jens Petersen 2006-03-02 00:27:24 EST
Thank you for reporting this: should get fixed the next time emacs gets updated.
Comment 2 Jens Petersen 2006-03-07 20:28:35 EST
Should be fixed in 21.4-14.

Note You need to log in before you can comment on or make changes to this bug.